<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:20:41 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>ElementUtils (org.eclipse.papyrus.designer.languages.common.base 1.0.5 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ElementUtils (org.eclipse.papyrus.designer.languages.common.base 1.0.5 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9,"i8":9,"i9":9,"i10":9,"i11":9,"i12":9,"i13":9,"i14":9,"i15":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ElementUtils.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/designer/languages/common/base/ClassUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/designer/languages/common/base/ElementUtils.html" target="_top">Frames</a></li>
<li><a href="ElementUtils.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.languages.common.base</div>
<h2 title="Class ElementUtils" class="title">Class ElementUtils</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.designer.languages.common.base.ElementUtils</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">ElementUtils</span>
extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">A set of utility functions around elements</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/languages/common/base/ElementUtils.html#ElementUtils--">ElementUtils</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.Class</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/languages/common/base/ElementUtils.html#componentType-org.eclipse.uml2.uml.Class-">componentType</a></span>(org.eclipse.uml2.uml.Class&nbsp;clazz)</code>
<div class="block">this method returns the component type of an implementation.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/languages/common/base/ElementUtils.html#declareDependency-org.eclipse.uml2.uml.Type-org.eclipse.uml2.uml.Type-">declareDependency</a></span>(org.eclipse.uml2.uml.Type&nbsp;source,
                 org.eclipse.uml2.uml.Type&nbsp;dest)</code>
<div class="block">Convenience function: Declare a dependency from source to destination.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static &lt;T extends org.eclipse.emf.ecore.EObject&gt;<br>org.eclipse.emf.common.util.EList&lt;T&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/languages/common/base/ElementUtils.html#getAllElementsOfType-org.eclipse.uml2.uml.Element-java.lang.Class-">getAllElementsOfType</a></span>(org.eclipse.uml2.uml.Element&nbsp;examineElement,
                    <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;T&gt;&nbsp;clazz)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static &lt;T extends org.eclipse.emf.ecore.EObject&gt;<br>org.eclipse.emf.common.util.EList&lt;T&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/languages/common/base/ElementUtils.html#getAllElementsOfType-org.eclipse.uml2.uml.Element-java.lang.Class-org.eclipse.emf.common.util.EList-">getAllElementsOfType</a></span>(org.eclipse.uml2.uml.Element&nbsp;examineElement,
                    <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;T&gt;&nbsp;clazz,
                    org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Element&gt;&nbsp;visitedPackages)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.NamedElement</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/languages/common/base/ElementUtils.html#getNamedElementFromList-org.eclipse.emf.common.util.EList-java.lang.String-">getNamedElementFromList</a></span>(org.eclipse.emf.common.util.EList&lt;? extends org.eclipse.emf.ecore.EObject&gt;&nbsp;elementList,
                       <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Retrieve an element from a list of named elements via its name</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.NamedElement</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/languages/common/base/ElementUtils.html#getQualifiedElement-org.eclipse.uml2.uml.Package-java.lang.String-">getQualifiedElement</a></span>(org.eclipse.uml2.uml.Package&nbsp;root,
                   <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;qualifiedName)</code>
<div class="block">Get an element via its qualified name.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.NamedElement</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/languages/common/base/ElementUtils.html#getQualifiedElement-org.eclipse.uml2.uml.Package-java.lang.String:A-int-">getQualifiedElement</a></span>(org.eclipse.uml2.uml.Package&nbsp;root,
                   <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;path,
                   int&nbsp;pos)</code>
<div class="block">Retrieve an element via its qualified name within a root package.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.NamedElement</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/languages/common/base/ElementUtils.html#getQualifiedElementFromRS-org.eclipse.uml2.uml.Element-java.lang.String-">getQualifiedElementFromRS</a></span>(org.eclipse.uml2.uml.Element&nbsp;element,
                         <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;qualifiedName)</code>
<div class="block">Get an element via its qualified name.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.NamedElement</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/languages/common/base/ElementUtils.html#getQualifiedElementFromRS-org.eclipse.emf.ecore.resource.ResourceSet-java.lang.String-">getQualifiedElementFromRS</a></span>(org.eclipse.emf.ecore.resource.ResourceSet&nbsp;rs,
                         <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;qualifiedName)</code>
<div class="block">Get an element via its qualified name.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Classifier&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/languages/common/base/ElementUtils.html#getReferencedClassifiers-org.eclipse.uml2.uml.Classifier-">getReferencedClassifiers</a></span>(org.eclipse.uml2.uml.Classifier&nbsp;classifier)</code>
<div class="block">This method returns all types that are referenced by a classifier.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>static org.eclipse.uml2.uml.Package</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/languages/common/base/ElementUtils.html#getRoot-org.eclipse.uml2.uml.Element-java.lang.String-">getRoot</a></span>(org.eclipse.uml2.uml.Element&nbsp;element,
       <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;subfolder)</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/languages/common/base/ElementUtils.html#isComposite-org.eclipse.uml2.uml.InstanceSpecification-">isComposite</a></span>(org.eclipse.uml2.uml.InstanceSpecification&nbsp;is)</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/languages/common/base/ElementUtils.html#isElementInDifferentModel-org.eclipse.uml2.uml.Package-org.eclipse.uml2.uml.NamedElement-">isElementInDifferentModel</a></span>(org.eclipse.uml2.uml.Package&nbsp;model,
                         org.eclipse.uml2.uml.NamedElement&nbsp;namedElement)</code>
<div class="block">Simple check whether an element is in a different model than the passed
 package It will return true, whenever the the top elements do not match.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Namespace&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/languages/common/base/ElementUtils.html#usedNamespaces-org.eclipse.uml2.uml.NamedElement-">usedNamespaces</a></span>(org.eclipse.uml2.uml.NamedElement&nbsp;element)</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/languages/common/base/ElementUtils.html#varName-org.eclipse.uml2.uml.NamedElement-">varName</a></span>(org.eclipse.uml2.uml.NamedElement&nbsp;element)</code>
<div class="block">A small helper function that makes names compliant with variable
 names in programming languages such as C++ or Java
 Unlike varName2, replace scoping signs as well</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/designer/languages/common/base/ElementUtils.html#xmlID-org.eclipse.uml2.uml.Element-">xmlID</a></span>(org.eclipse.uml2.uml.Element&nbsp;element)</code>
<div class="block">Get the XML (URI) Id of an element within your model
 Useful for transmitting model references</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ElementUtils--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ElementUtils</h4>
<pre>public&nbsp;ElementUtils()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getNamedElementFromList-org.eclipse.emf.common.util.EList-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNamedElementFromList</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.NamedElement&nbsp;getNamedElementFromList(org.eclipse.emf.common.util.EList&lt;? extends org.eclipse.emf.ecore.EObject&gt;&nbsp;elementList,
                                                                        <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
<div class="block">Retrieve an element from a list of named elements via its name</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>namedElementList</code> - </dd>
<dd><code>name</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="getRoot-org.eclipse.uml2.uml.Element-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRoot</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.Package&nbsp;getRoot(org.eclipse.uml2.uml.Element&nbsp;element,
                                                   <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;subfolder)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>element</code> - an element which is owned by a model.</dd>
<dd><code>subfolder</code> - the name of a sub-folder within root (created, if not
            existent)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to the sub folder within the root of the model that
         belongs to the passed element.</dd>
</dl>
</li>
</ul>
<a name="componentType-org.eclipse.uml2.uml.Class-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>componentType</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.Class&nbsp;componentType(org.eclipse.uml2.uml.Class&nbsp;clazz)</pre>
<div class="block">this method returns the component type of an implementation. It is based
 on the modeling convention that implementations inherit from types.
 TODO: It currently returns the first abstract (direct) superclass</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>clazz</code> - A component implementation</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the first abstract superclass</dd>
</dl>
</li>
</ul>
<a name="isComposite-org.eclipse.uml2.uml.InstanceSpecification-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isComposite</h4>
<pre>public static&nbsp;boolean&nbsp;isComposite(org.eclipse.uml2.uml.InstanceSpecification&nbsp;is)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>is</code> - an instance specification</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true, if an instance specification is a composite, i.e. has more than 1 slots</dd>
</dl>
</li>
</ul>
<a name="getQualifiedElementFromRS-org.eclipse.uml2.uml.Element-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getQualifiedElementFromRS</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.NamedElement&nbsp;getQualifiedElementFromRS(org.eclipse.uml2.uml.Element&nbsp;element,
                                                                          <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;qualifiedName)</pre>
<div class="block">Get an element via its qualified name.  This function will find the first element with a
 matching qualified name within the resource set associated with the passed element</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>element</code> - An element within a resource which in turn is part of the search resource set</dd>
<dd><code>qualifiedName</code> - the qualified name of an element</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the found element or null</dd>
</dl>
</li>
</ul>
<a name="getQualifiedElementFromRS-org.eclipse.emf.ecore.resource.ResourceSet-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getQualifiedElementFromRS</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.NamedElement&nbsp;getQualifiedElementFromRS(org.eclipse.emf.ecore.resource.ResourceSet&nbsp;rs,
                                                                          <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;qualifiedName)</pre>
<div class="block">Get an element via its qualified name. This function will find the first element in the
 resource set that has this qualified name (whether imported or not)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>rs</code> - a resource set</dd>
<dd><code>qualifiedName</code> - the qualified name of an element</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the found element or null</dd>
</dl>
</li>
</ul>
<a name="getQualifiedElement-org.eclipse.uml2.uml.Package-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getQualifiedElement</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.NamedElement&nbsp;getQualifiedElement(org.eclipse.uml2.uml.Package&nbsp;root,
                                                                    <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;qualifiedName)</pre>
<div class="block">Get an element via its qualified name. It will ignore imports</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>root</code> - the root element (package) of a model</dd>
<dd><code>qualifiedName</code> - the qualified name of an element</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the found element or null</dd>
</dl>
</li>
</ul>
<a name="getQualifiedElement-org.eclipse.uml2.uml.Package-java.lang.String:A-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getQualifiedElement</h4>
<pre>public static&nbsp;org.eclipse.uml2.uml.NamedElement&nbsp;getQualifiedElement(org.eclipse.uml2.uml.Package&nbsp;root,
                                                                    <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;path,
                                                                    int&nbsp;pos)</pre>
<div class="block">Retrieve an element via its qualified name within a root package.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the found element, if it exists</dd>
</dl>
</li>
</ul>
<a name="isElementInDifferentModel-org.eclipse.uml2.uml.Package-org.eclipse.uml2.uml.NamedElement-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isElementInDifferentModel</h4>
<pre>public static&nbsp;boolean&nbsp;isElementInDifferentModel(org.eclipse.uml2.uml.Package&nbsp;model,
                                                org.eclipse.uml2.uml.NamedElement&nbsp;namedElement)</pre>
<div class="block">Simple check whether an element is in a different model than the passed
 package It will return true, whenever the the top elements do not match.
 This is always true, if the 2nd belongs to a different model, whether
 imported or not. This distinction is however not required in our context.</div>
</li>
</ul>
<a name="getAllElementsOfType-org.eclipse.uml2.uml.Element-java.lang.Class-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAllElementsOfType</h4>
<pre>public static&nbsp;&lt;T extends org.eclipse.emf.ecore.EObject&gt;&nbsp;org.eclipse.emf.common.util.EList&lt;T&gt;&nbsp;getAllElementsOfType(org.eclipse.uml2.uml.Element&nbsp;examineElement,
                                                                                                                  <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;T&gt;&nbsp;clazz)</pre>
</li>
</ul>
<a name="getAllElementsOfType-org.eclipse.uml2.uml.Element-java.lang.Class-org.eclipse.emf.common.util.EList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAllElementsOfType</h4>
<pre>public static&nbsp;&lt;T extends org.eclipse.emf.ecore.EObject&gt;&nbsp;org.eclipse.emf.common.util.EList&lt;T&gt;&nbsp;getAllElementsOfType(org.eclipse.uml2.uml.Element&nbsp;examineElement,
                                                                                                                  <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;T&gt;&nbsp;clazz,
                                                                                                                  org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Element&gt;&nbsp;visitedPackages)</pre>
</li>
</ul>
<a name="declareDependency-org.eclipse.uml2.uml.Type-org.eclipse.uml2.uml.Type-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>declareDependency</h4>
<pre>public static&nbsp;void&nbsp;declareDependency(org.eclipse.uml2.uml.Type&nbsp;source,
                                     org.eclipse.uml2.uml.Type&nbsp;dest)</pre>
<div class="block">Convenience function: Declare a dependency from source to destination. The function checks,
 if a dependency already exists to avoid double dependencies.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>source</code> - source type of the dependency</dd>
<dd><code>dest</code> - destination of the dependency</dd>
</dl>
</li>
</ul>
<a name="getReferencedClassifiers-org.eclipse.uml2.uml.Classifier-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getReferencedClassifiers</h4>
<pre>public static&nbsp;org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Classifier&gt;&nbsp;getReferencedClassifiers(org.eclipse.uml2.uml.Classifier&nbsp;classifier)</pre>
<div class="block">This method returns all types that are referenced by a classifier. This includes
 attribute types, types within operations as well as inherited types.
 This is useful to generate the #includes
 (which is used by the Acceleo code within the packaging plugin)</div>
</li>
</ul>
<a name="usedNamespaces-org.eclipse.uml2.uml.NamedElement-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>usedNamespaces</h4>
<pre>public static&nbsp;org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.Namespace&gt;&nbsp;usedNamespaces(org.eclipse.uml2.uml.NamedElement&nbsp;element)</pre>
</li>
</ul>
<a name="varName-org.eclipse.uml2.uml.NamedElement-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>varName</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;varName(org.eclipse.uml2.uml.NamedElement&nbsp;element)</pre>
<div class="block">A small helper function that makes names compliant with variable
 names in programming languages such as C++ or Java
 Unlike varName2, replace scoping signs as well</div>
</li>
</ul>
<a name="xmlID-org.eclipse.uml2.uml.Element-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>xmlID</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;xmlID(org.eclipse.uml2.uml.Element&nbsp;element)</pre>
<div class="block">Get the XML (URI) Id of an element within your model
 Useful for transmitting model references</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>element</code> - a UML element</dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ElementUtils.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/designer/languages/common/base/ClassUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/designer/languages/common/base/GenUtils.html" title="class in org.eclipse.papyrus.designer.languages.common.base"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/designer/languages/common/base/ElementUtils.html" target="_top">Frames</a></li>
<li><a href="ElementUtils.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
